### Encoding: latin1

### Name: dbledensitymap
### Title: Double Kernel density estimates and map
### Aliases: dbledensitymap
### Keywords: spatial smooth

### ** Examples

# data auckland
data(auckland)
contours.auckland<-polylist2list(auckpolys)
dbledensitymap(auckland$Easting,auckland$Northing,var1=auckland$Deaths.1977.85,
var2=auckland$Under.5.1981,carte=contours.auckland,
listvar=cbind(auckland,as.numeric(auckland$Deaths.1977.85>
mean(auckland$Deaths.1977.85))), listnomvar=c(names(auckland),"sup to mean"),
xlab=c("Deaths.1977.85","Under.5.1981"),
criteria=(auckland$Deaths.1977.85>mean(auckland$Deaths.1977.85)))

# data columbus
x <- readShapePoly(system.file("shapes/columbus.shp", package="maptools")[1])
colombus.contours<-spdf2list(x)$poly
coords <- coordinates(x)
colombus<-x@data

obs<-dbledensitymap(coords[,1],coords[,2],colombus$HOVAL,
colombus$CRIME,label=colombus$NEIGNO,carte=colombus.contours,
cex.lab=0.7,listvar=colombus,listnomvar=names(colombus),
col=c("purple","pink"),xlab=c("hoval","crime"),pch=14)

# data eire
data(eire)
eire.contours<-polylist2list(eire.polys.utm)
dbledensitymap(eire.coords.utm$V1,eire.coords.utm$V2,eire.df$A,eire.df$towns,
xlab=c("Taux d'individus au groupe sanguin A",
"Surface urbaine"),carte=eire.contours,kernel="normal",
listvar=eire.df,listnomvar=names(eire.df))




