### Encoding: latin1

### Name: histomap
### Title: Interactive Histogram and map
### Aliases: histomap
### Keywords: spatial univar

### ** Examples

# data on price indices of real estate in France
data(immob)
midiP <- readOGR(system.file("vectors/region.mif", package = "GeoXp")[1], "region")
cont_midiP<-spdf2list(midiP)$poly
histomap(immob$longitude,immob$latitude,immob$prix.vente,
carte= cont_midiP,listvar=immob, col='grey',
listnomvar=names(immob),label=immob$Nom,cex.lab=0.6)

# data oldcol
example(columbus)
coords <- coordinates(columbus)
cont<-spdf2list(columbus)$poly

histomap(coords[,1], coords[,2],columbus@data$CRIME,listvar=columbus@data, 
listnomvar=names(columbus@data),criteria=(columbus@data$CRIME>mean(columbus@data$CRIME)),
carte=cont,col="grey")

# data afcon
data(afcon)
histomap(afcon$x,afcon$y,afcon$totcon,listvar=afcon,
listnomvar=names(afcon),criteria=(afcon$totcon>mean(afcon$totcon)),
label=afcon$name,cex.lab=0.6,pch=14)

# data eire
data(eire)
eire.contours<-polylist2list(eire.polys.utm)

histomap(eire.coords.utm$V1,eire.coords.utm$V2,eire.df$A,carte=eire.contours,listvar=eire.df,
listnomvar=names(eire.df),xlab="Taux d'individus au groupe sanguin A",pch=5)




